Bug 113867 - The scroll bar isn't moving & pages keeps scrolling after releasing the page down button
Summary: The scroll bar isn't moving & pages keeps scrolling after releasing the page ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2017-11-15 20:09 UTC by Telesto
Modified: 2018-11-17 07:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (3.20 KB, text/plain)
2017-11-15 20:11 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-11-15 20:09:22 UTC
Description:
The scroll bar isn't moving & pages keeps scrolling after releasing the page down button

Steps to Reproduce:
1. Open attachment 123999 [details] (bug 98663) 
2. Hold the page down button

Actual Results:  
Scroll bar isn't moving; pages keep scrolling after releasing the page down button

Expected Results:
Vertical scroll bar should move, and scroll should stop after releasing the page down button


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-11-15 20:11:42 UTC
Created attachment 137789 [details]
Bibisect log

bibisect-43all$ 
commit bb6eff0592390dcc81fd5ffe70d99f57c8cb882d
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Dec 8 01:07:57 2011 +0100

    source-hash-62f4128d74179c6211fc961845182bf2956e3323
    
    commit 62f4128d74179c6211fc961845182bf2956e3323
    Author:     Tor Lillqvist <tml@iki.fi>
    AuthorDate: Thu Oct 20 08:32:16 2011 +0300
    Commit:     Tor Lillqvist <tml@iki.fi>
    CommitDate: Thu Oct 20 08:41:36 2011 +0300
    
        char can be unsigned, use sal_Int8
Comment 2 Buovjaga 2017-11-16 13:24:14 UTC
I only repro the "page keeps scrolling" and even that only on Windows.

With 3.5.0, the scroll bar sometimes gets stuck.

Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: fi-FI (fi_FI); Calc: group

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Arch Linux 64-bit
Version: 6.0.0.0.alpha1+
Build ID: 121303615054568c204def97872343d2014af4a0
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 16th 2017
Comment 3 Telesto 2017-11-16 14:14:34 UTC
(In reply to Buovjaga from comment #2)
I'm a bit confused. Are we talking about the same issue? 
(a) I don't repro this on Windows with a x86 build
(b) I do repro this on Linux Ubuntu 14.04 GTK2 running in VirtualBox.
Or is this a virtualbox issue?

Btw, the steps where not that clear. Hold the page down button for 8-10 seconds
Comment 4 Buovjaga 2017-11-16 14:58:55 UTC
(In reply to Telesto from comment #3)
> (In reply to Buovjaga from comment #2)
> I'm a bit confused. Are we talking about the same issue? 
> (a) I don't repro this on Windows with a x86 build
> (b) I do repro this on Linux Ubuntu 14.04 GTK2 running in VirtualBox.
> Or is this a virtualbox issue?
> 
> Btw, the steps where not that clear. Hold the page down button for 8-10
> seconds

Yes, talking 'bout the same issue.

I can repro the scrollbar getting stuck intermittently on Linux with GTK2. Yet, the page does not keep scrolling.
Comment 5 Aron Budea 2017-11-16 15:49:41 UTC
(In reply to Telesto from comment #1)
> bibisect-43all$ 
> commit bb6eff0592390dcc81fd5ffe70d99f57c8cb882d
> Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
> Date:   Thu Dec 8 01:07:57 2011 +0100
> 
>     source-hash-62f4128d74179c6211fc961845182bf2956e3323
If the bibisect is correct, then this is the specified range (between latest good/bad source commits), since bibisect-43all is a coarse bibisect repo:
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=d6f2418d0828ec4275355502ae3f87c80e16e8f5..62f4128d74179c6211fc961845182bf2956e3323

I tried to verify, and am not sure of the behavior. Yes, it's there, but somewhat different than in 5.4, like I have to hold the button further in the old version for this to trigger.
Comment 6 QA Administrators 2018-11-17 03:46:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug